Subject: bug#74261: 30.0.92; Remove modeline warning for explicit uses of dynamic binding

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Nov 2024 11:40:01 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked],
> 	[email-masked]
> Date: Wed, 27 Nov 2024 23:54:25 -0500
> 
>   > > But I think it is useful to show this warning when person A looks at
>   > > person B's file.  Person A is likely to assume the file use lexical
>   > > binding, when just about all files do so; therefore, it is useful to
>   > > inform A that this file makes the unusual choice.
> 
>   > That could be the case, yes.
> 
>   > However, another way of looking at such situation is that if the
>   > author (person B) decided the file should use dynamic scoping, that's
>   > "good enough" for person A.
> 
> I think this sentence may have changed the question unintentionally.
> "That's good enough for A" means "A should not object to what B
> decided".  In that sense, think B's addition of he file variable often
> _should_ be good enough for A.
> 
> But the question we were discussing is not whether A has a right to
> object to B's decision.  It is whether A is aware of B's decision for
> that file.  The warning will help make A aware of it.

What I meant was that "good enough" here means A should not be
bothered or made aware.

>                                  For example, assume that person B is
>   > Emacs maintainers, and the file is part of Emacs.
> 
> I think it will be useful to warn A that the file is set up to specify
> dynamic binding.

I tried to make the point that whether it is useful depends on the
POV.